<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<input type="text" id="number1">
<input type="text" id="number2">
<button id="sum">Sum</button>
<div id="result">

</div>
    <script>
        const $ = document;
        /*function sum() {
            const n1 = $.querySelector('#number1').value;
            const n2 = $.querySelector('#number2').value;
            const sum = parseFloat(n1) + parseFloat(n2);
            $.querySelector('#result').innerHTML = sum;
        }*/

        $.querySelector('#sum').addEventListener('click', function () {
            const n1 = $.querySelector('#number1').value;
            const n2 = $.querySelector('#number2').value;
            const sum = parseFloat(n1) + parseFloat(n2);
            $.querySelector('#result').innerHTML = sum;
        });
    </script>
</body>
</html>